/*************************************************
Projet ExoPRJS

Auteur : Jean Marc Wehrlen, 2011

Version 20110828

INDICATION DE LICENCE :
Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier au titre des clauses de la Licence Publique Gnrale Affero GNU, telle que publie par la Free Software Foundation, version 3 ou une version ultrieure de la Licence,  votre choix. 
Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans mme une garantie implicite de COMMERCIABILITE ou DE CONFORMITE A UNE UTILISATION PARTICULIERE. Voir la Licence Publique Gnrale Affero GNU pour plus de dtails : <http://www.gnu.org/licenses/agpl.html>.

LICENSE INDICATION IN ENGLISH :
This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more details: <http://www.gnu.org/licenses/agpl.html>.

*****************************************************/

var prompts;
var gotDone=0;
var gotRight=0;
var gaugeBackgroundHeight = 200;

function refreshScorePanel(scoreStatusArray){
	gotDone=0;
	gotRight=0;
	for(var j=0;j<scoreStatusArray.length;j++) {
		if(scoreStatusArray[j])gotDone++;
		if(scoreStatusArray[j]>0)gotRight++;
		}
	adjustScorePanel(gotDone,gotRight);
	}

function showSP(){
	var spAgain='<table id="scorePanelBackground" onclick="hideSP();"><tr><td id="numberTotal1">'+getExerciseSize()+'</td><td id="numberTotal2">'+getExerciseSize()+'</td></tr><tr><td><div id="divGaugeA"><div id="divDone"></div></div></td><td><div id="divGaugeB"><div id="divSucceeded"></div></div></td></tr><tr><td id="numberDone">F '+getGotDone()+'</td><td id="numberRight">R '+'</td></tr></table>';
var test=document.getElementById("scorePannelTableData");
test.innerHTML= spAgain;
	var sp=document.getElementById("scorePanelBackground");
	var exo=document.getElementById("exo");
	//var prmpt=document.getElementById("scorePanelPrompt");
	sp.style.visibility="visible";
scorePanelVisible = 1;
refreshScorePanel(scoreStatus);
	adjustScorePanel(getGotDone(),getGotRight());
//sauf ie5.5 et 6
	if(!ieS) exo.style.marginLeft="80px";

	//prmpt.style.visibility="hidden";
	}

function hideSP(){
	var sp=document.getElementById("scorePanelBackground");
	var exo=document.getElementById("exo");
	//var prmpt=document.getElementById("scorePanelPrompt");
	sp.style.visibility="hidden";
scorePanelVisible = 0;
//sauf pour ie5 et ie6:
	if(!ieS) exo.style.marginLeft="15px";
	//prmpt.style.visibility="visible";
	var test=document.getElementById("scorePannelTableData");
test.innerHTML="<div id=\"scorePanelPrompt\" onclick=\"showSP();\"></div>";
prmpt=document.getElementById("scorePanelPrompt");
prmpt.style.visibility="visible";
	}

function displayScorePanel(){
	document.write('<table id="scorePanelBackground" onclick="hideSP();"><tr><td id="numberTotal1">');
	document.write(getExerciseSize());
	document.write('</td><td id="numberTotal2">');
	document.write(getExerciseSize());
	document.write('</td></tr><tr><td><div id="divGaugeA"><div id="divDone"></div></div></td><td><div id="divGaugeB"><div id="divSucceeded"></div></div></td></tr><tr><td id="numberDone">F ');
	document.write(getGotDone());
	document.write('</td><td id="numberRight">R ');
	document.write(getGotRight());
	document.write('</td></tr></table>');
	adjustScorePanel(0,0);
	document.write("<div id=\"scorePanelPrompt\" onclick=\"showSP();\"></div>");
	}

function getExerciseSize(){ 
	if(prompts) return prompts.length;
	else return 0;
	}

function getGotDone(){
	return gotDone;
	}

function getGotRight(){
	gotRight=(gotRight<=gotDone)?gotRight:gotDone;
	return gotRight;
	}

function scoreSuccess(){
	if(gotDone<getExerciseSize()){
		gotDone++;
		gotRight++;
		adjustScorePanel(getGotDone(),getGotRight());
		}
	}

function scoreFailed(){
	gotDone++;
	adjustScorePanel(getGotDone(),getGotRight());
	}

function adjustScorePanel(gDone,gRight){
	var total=getExerciseSize();
//todo: create exceptions here
	gotDone=(gDone>total)?total:gDone;
	gotRight=(gRight>gDone)?gDone:gRight;
//end exceptions
	var gaugeDone = document.getElementById("divDone");
	var gaugeRight = document.getElementById("divSucceeded");
	var gaugeDoneHeight = parseInt((total-gotDone)/total*gaugeBackgroundHeight);
	var gaugeRightHeight = parseInt((total-gotRight)/total*gaugeBackgroundHeight);
	gaugeDone.style.height=gaugeDoneHeight+'px';
	gaugeRight.style.height=gaugeRightHeight+'px';
	document.getElementById("numberDone").innerHTML = "F "+getGotDone();
	document.getElementById("numberRight").innerHTML = "R "+getGotRight();
	}
