/*****************scripts sous domaine public / public domain scripts**********************

version 20111126

Les wrappers de cette page ont t crits pour tre pratiques, mais il est difficile de faire oeuvre d'originalit. De plus j'ai largement puis, pour rgler certains problmes dans la documentation ou dans les forums spcialiss sur Internet, et les lignes correspondantes sont donc "de notorit publique". Pour toutes ces raisons, cette page n'est pas place sous licence GPL Affero, mais dans le domaine public.
Mention lgale : le code suivant est livr en l'tat, SANS AUCUNE GARANTIE ; sans mme une garantie implicite de conformit  un usage particulier. L'utilisateur se sert de ce code " ses risques et prils" sans pouvoir prtendre  un quelconque ddommagement.

The wrappers on this page are hoped to be useful, but it's difficult to be very original here. Add to this that I've heavily relied on documentation or discussions on developpers' forums to settle some problems, so it's clear that the following can be considered to be "general knowledge". For all these reasons, I placed this page in the pubic domain, rather than under the GPL Affero license.
Disclaimer: The following code is on an "as is" basis, WITHOUT ANY WARRANTY; without even the implied warranty of fitness for a particular purpose. The entire risk of using this code is with each user, without any liability to him for damages.

Jean Marc Wehrlen, aot 2011

**************************************************************/

function cwSetSelectionRange(textInput,begin,end){

if (textInput.setSelectionRange){//most of the browsers
		textInput.setSelectionRange(begin,end);
	}
else if (textInput.createTextRange){//ie8
	var range = textInput.createTextRange();
	range.collapse(true);
	range.moveEnd('character', end);
	range.moveStart('character',begin);
	range.select();
	}
else if (textInput.selectionStart) {//found mention of this on a forum, but don't yet know for what browser it's meant
alert("Message for developpers.\nOption 3 in cwSetSelectionRange activated.");
            textInput.selectionStart = begin;
            textInput.selectionEnd = end;
        }
	
}

/**************reserve doc******************
In ie, if you want to "start" before the "end", you must adapt the numeral at range.moveEnd
var range = textInput.createTextRange();
		range.collapse(true);
		range.moveStart("character",begin);
		range.moveEnd("character",end-begin);
		range.select();

*********************************************/


function cwFindText(textInput,strText,flagAction){//action may be "begin" or "start" - cursor at the start of strText, "select" - strText is selected, or "end" - cursor at the end of strText; "end" is the default.
	var a;
	var z;
	if(!strText) return;
	else if(strText=="startOfText") {cwSetSelectionRange(textInput,0,0);}
	else if(strText=="endOfText") {cwSetSelectionRange(textInput,textInput.value.length,textInput.value.length);}
	else if(textInput.setSelectionRange){//most of the browsers
		var i = textInput.value.indexOf(strText);
		if(i>-1) {
			z = (flagAction=="begin" || flagAction=="start")?i:i+strText.length;
			a=(flagAction=="select")?i:i+strText.length;
		}
		textInput.setSelectionRange(a,z);
	}
	else if(textInput.createTextRange){//ie8
		var range = textInput.createTextRange();
		range.findText(strText);
		if(flagAction=="begin" || flagAction=="start") range.collapse(true)//sets cursor before found text or ...
		else if(flagAction!="select")range.collapse(false)//sets cursor after found text or ...
		//don't mention range.collapse at all to have str Textselected
		range.select();
	}
	textInput.focus();
	return;
}

function testReplaceBehavior(){//determines whether regex.replace behavior true if "doesn't seem to reset" after a pass ; false if "seems to reset", depending on browsers
var sPhrase="toto                    .";
var regex=/  \./g;
var sReplacement=".";
var sPhrase2=sPhrase;
while(regex.test(sPhrase)) sPhrase=sPhrase.replace(regex,sReplacement);
return (sPhrase!="toto.");
}
