 /*************************************************
Projet ExoPRJS

Auteur : Jean Marc Wehrlen, 2011

Version 20120706

INDICATION DE LICENCE :
Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier au titre des clauses de la Licence Publique Gnrale Affero GNU, telle que publie par la Free Software Foundation, version 3 ou une version ultrieure de la Licence,  votre choix. 
Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans mme une garantie implicite de COMMERCIABILITE ou DE CONFORMITE A UNE UTILISATION PARTICULIERE. Voir la Licence Publique Gnrale Affero GNU pour plus de dtails : <http://www.gnu.org/licenses/agpl.html>.

LICENSE INDICATION IN ENGLISH :
This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more details: <http://www.gnu.org/licenses/agpl.html>.

*****************************************************/

var rightAnswers=rightAnswers?rightAnswers:null;
var acceptedAnswers=acceptedAnswers?acceptedAnswers:rightAnswers;
var prompts=prompts?prompts:null;
var helpPhrases=helpPhrases?helpPhrases:null;
var labels=labels?labels:null;
var title=title?title:"";
var contexts=contexts?contexts:null;
var assignment=assignment?assignment:"";
var sLang=sLang?sLang:"Fr";//Fr=franais;De=Deutsch
var sCheck="Vrifier";
var sHelp="Aide";
var sRestart="Recommencer";
var sRightAnswer="Langue au chat";
var sReset="Recommencer tout";
var sTOC="Voir d'autres exercices";
var sScriptLicense="Scripts JavaScript et composants css associs sous licence libre <a href=\"http://www.gnu.org/licenses/agpl.html\" target=\"_blank\">GPL Affero v3</a> - ";
var sSourceLink="sources";
var sExoContent="Contenu de l'exercice ";
var sLicense_ccsa="sous licence libre <a href=\"../licences/ccsa.html\" target=\"_blank\">Creative Commons Share Alike, version 3</a>";
var sLicense_public_domain="plac dans le domaine public";

var ieS=0;

function testLibraryAccess(){
alert("library accessible");
}

function resetPrompts(){
for (var i = 0;i<prompts.length;i++)clearIt(prompts[i],"t"+i);
}

function localize(){
	if(sLang=="De") 
		{sCheck="berprfen";
		sHelp="Hilfe";
		sRestart="Neu versuchen";
		sRightAnswer=" Lsung sehen";
		sReset="Das Ganze wiederholen";
		sTOC="bungsverzeichnis";
		sScriptLicense="JavaScript-Skripten und dazugehrende CSS-Komponenten stehen unter einer <a href=\"http://www.gnu.org/licenses/agpl.html\" target=\"_blank\">GPL Affero V3</a> freien Lizenz -";
		sSourceLink="Quellcode";
		sExoContent="Inhalt der bung ";
		sLicense_ccsa="unter <a href=\"../licences/ccsa.html\" target=\"_blank\">Creative Commons Share Alike, Version 3</a> freier Lizenz";
		sLicense_public_domain="als gemeinfreies Werk erklrt";
		}
	}

function initialize(){
	regexReplaceBehaviorCode=testReplaceBehavior();//in compatibilityWrappers command regex.command differs in behavior depending on browsers, some sort of resetting or so...
	var shuffleBase=getShuffleBase(rightAnswers.length);
	if(labels)labels=shuffleArray(labels,shuffleBase);
	prompts=shuffleArray(prompts,shuffleBase);
	acceptedAnswers=shuffleArray(acceptedAnswers,shuffleBase);
	rightAnswers=shuffleArray(rightAnswers,shuffleBase);
	if(helpPhrases) helpPhrases=shuffleArray(helpPhrases,shuffleBase);
	if(contexts) contexts=shuffleArray(contexts, shuffleBase);
	}



function displayBody(){
	localize();
	ieS=(navigator.userAgent.indexOf("MSIE 5")>-1 || navigator.userAgent.indexOf("MSIE 6")>-1)?1:0;
//alert("displayBody() in displayLibrary, ieS = "+ieS);
	if(shuffleEntries) initialize();
	else if(!fixedOrder) initialize();
	document.write(getTitleLine());
document.write("<table width=100%><tr><td id=\"scorePannelTableData\">");
		scoreStatus=new Array(rightAnswers.length);
		for(var j=0;j<rightAnswers.length;j++) scoreStatus[j]=0;
	if(!inhibitScorePanel)	displayScorePanel();
document.write("</td><td>");
	document.write('<div id="exo">');
	document.write("<span class=\"assignment\"><p>"+assignment+"</p></span>");
	displayLines();

	document.write(getBottomLine());
	
	if(!inhibitScorePanel) {
		var exo=document.getElementById("exo");
//annuler margin pour ie5 et ie6
		if(!ieS) exo.style.marginLeft="80px";
		}
document.write('</div>');
document.write("</td></tr></table>");
	document.write(getFooter());
	if(!scorePanelVisible) hideScorePanel();
	goToNextPrompt(0);
	}

function hideScorePanel(){
	hideSP();
}

function showScorePanel(){
	showSP();
}

function getTitleLine(){
	var str = "<table class=\"linkHeader\"><tr><td><h1>"+title+"</h1></td><td class=\"linkHeader\">"+getTocLink()+"</td></tr></table>";
	return str;
	}

function getBottomLine(){
	var str = "<table class=\"linkFooter\"><tr><td><a href=\"javascript:location.reload(true)\">"+sReset+"</a></td><td class=\"linkHeader\">"+getTocLink()+"</td></tr></table>";
	return str;
}

function getTocLink(){
	var str;
	if(linkToToc) str="<a href=\"index.html\">"+sTOC+"</a>";
	else str="";
	return str;
	}

function getFooter(){
	var exoLicense=exoLicense?exoLicense:"";
	str="<hr/><h6>"+sScriptLicense+getSourcesURL()+"<br/>";
	if(exoLicense) str+=sExoContent;
	if(exoLicense=="public") str+=sLicense_public_domain;
	else if (exoLicense=="ccsa") str+=sLicense_ccsa;
	else if(exoLicense) str+=": "+exoLicense;
	str+="</h6>";

	return str;
}

function getSourcesURL(){
	if(sourcesURL) return " <a href=\""+sourcesURL+"\"target=\"_blank\">"+sSourceLink+"</a>";	
	else return "";
}


function displayLines(){
	document.write("<form id=\"myForm\"><table>");
		for (var i=0;i<prompts.length;i++){
			displayLine(i);
			if(preRed) {
				clearIt(prompts[i],"t"+i);
				}
			else clearIt(prompts[i],"t"+i);
			}
	document.write("</table></form>");
	}

function displayLine(i){

	var ra=rightAnswers[i];
	document.write("<tr><a name=\"anchor"+i+"\"></a>");
	if(labels) document.write("<td class=\"lbl\" id=\"lbl"+i+"\"><p>"+labels[i]+"</p></td>");
	document.write("<td><p>");
	if(contexts) document.write("<div class=\"lab\"><label>"+contexts[i]+"</label></div>");
	document.write("<input type=\"text\" size=\"50\" id=\"t"+i+"\" onkeypress=\"accessk(event)\" />\n<br/>"+
	"<a href=\"javascript:checkIt(rightAnswers["+i+"],acceptedAnswers["+i+"],'t"+i+"');\">"+sCheck+"</a>\n"+
	"<a href=\"javascript:clearIt(prompts["+i+"],'t"+i+"');\">"+sRestart+"</a>\n");
	if(helpPhrases && helpPhrases[i]) document.write("<a href=\"javascript:helpIt("+i+");\">"+sHelp+"</a>\n");
	if(!dontTellIt) document.write("<a href=\"javascript:tellIt("+i+");\">"+sRightAnswer+"</a>");
	document.write("</p></td></tr>");
	document.getElementById("t"+i).value=prompts[i];
	if(contexts) {
		document.getElementById("t"+i).style.margin="0px";
		if(contexts[i]=="") document.getElementById("lbl"+i).style.paddingTop="26px";
		else document.getElementById("lbl"+i).style.paddingTop="51px";
		}
}


